Skip to main content

public/get-deposit-instruments

GET 

/public/get-deposit-instruments

Returns the list of instruments eligible for deposit and use as collateral.
Success.
Schema
    id int64

    Original request identifier

    method string

    Method name

    code int32

    0 for success; error code otherwise

    message string

    Error message for non-zero codes

    result object[]
    List of instruments eligible for deposit and collateral.
  • Array [
  • symbol string

    Instrument symbol

    inst_type string

    Instrument type (e.g. CCY)

    display_name string

    Display name

    base_ccy string

    Base currency

    quote_ccy string

    Quote currency

    quote_decimals integer

    Decimal places for quote currency

    quantity_decimals integer

    Decimal places for quantity

    haircut string

    Haircut rate (decimal string)

    collateral_eligible boolean

    Whether eligible as collateral

    price_tick_size string

    Minimum price increment

    qty_tick_size string

    Minimum quantity increment

    max_leverage string

    Maximum leverage

    tradable boolean

    Whether the instrument is tradable

    expiry_timestamp_ms int64

    Expiry timestamp (epoch ms). 0 if no expiry.

    beta_product boolean

    Whether this is a beta product

    conversion_fee string

    Conversion fee rate

    margin_buy_enabled boolean

    Whether margin buy is enabled

    margin_sell_enabled boolean

    Whether margin sell is enabled

    inst_id int64

    Internal instrument ID

  • ]